
QGIS Application - Feature request #2219

It's impossible to edit vertices in GPX layers

2009-12-08 11:10 PM - dr -

Status: Open

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12279

Description

Plugins -> GPS -> Create new GPX layer

There is a possibility to draw new lines but not to modify existing nodes.

History

#1 - 2009-12-09 03:24 AM - Giovanni Manghi

Confirmed, the "node tool" is disabled when editing gpx layers.

#2 - 2010-12-19 11:45 PM - craigleat -

Basic editing of a gpx layer is possible. You can draw new tracks and delete whole lines, but cannot move or delete vertices. If editing is possible I expect

similar functionality to shapefile layers for example, hence I bumped up the priority of the ticket.

#3 - 2011-01-31 06:20 AM - Jürgen Fischer

The provider currently doesn't implement the [[ChangeGeometries]] capability (just like OGR doesn't doesn't implement [[DeleteAttributes]]).

#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No
